<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Response;
        
class ContactInformationResponse 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $contactType The customer's phone or email type. i.e. primary, home, etc.*/
    public string $contactType;
    /** @var string $value The customer's phone (e.164 format) or email value*/
    public string $value;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $contactType The customer's phone or email type. i.e. primary, home, etc.
     * @param  string  $value The customer's phone (e.164 format) or email value
     */
    public function __construct(string $id, string $contactType, string $value)
    {
        $this->id = $id;
        $this->contactType = $contactType;
        $this->value = $value;
    }
    

}