<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class CreateNoteRequest 
{
    /** @var string $customerId The UUID of the customer associated with the note*/
    public string $customerId;
    /** @var string $content The content of the note, editable*/
    public string $content;

    /**
     * @param  string  $customerId The UUID of the customer associated with the note
     * @param  string  $content The content of the note, editable
     */
    public function __construct(string $customerId, string $content)
    {
        $this->customerId = $customerId;
        $this->content = $content;
    }
    

}