<?php
namespace Bushelpowered\Api\Fulfillment\Contract\V1\Response;
        
class ContractSummaryResponse 
{
    /** @var string $commodityCode The commodity code that is found on the Configuration.GetCommodities response.*/
    public string $commodityCode;
    /** @var int $contractCount */
    public int $contractCount;
    /** @var float $totalQuantityContracted */
    public float $totalQuantityContracted;
    /** @var float $totalQuantityDelivered */
    public float $totalQuantityDelivered;
    /** @var float $totalQuantityCanceled */
    public float $totalQuantityCanceled;

    /**
     * @param  string  $commodityCode The commodity code that is found on the Configuration.GetCommodities response.
     * @param  int  $contractCount 
     * @param  float  $totalQuantityContracted 
     * @param  float  $totalQuantityDelivered 
     * @param  float  $totalQuantityCanceled 
     */
    public function __construct(string $commodityCode, int $contractCount, float $totalQuantityContracted, float $totalQuantityDelivered, float $totalQuantityCanceled)
    {
        $this->commodityCode = $commodityCode;
        $this->contractCount = $contractCount;
        $this->totalQuantityContracted = $totalQuantityContracted;
        $this->totalQuantityDelivered = $totalQuantityDelivered;
        $this->totalQuantityCanceled = $totalQuantityCanceled;
    }
    

}