<?php
namespace Bushelpowered\Api\Reporting\Poy\V1\Request;
        
class SyncGradeFactorsRequest 
{
    /** @var string $slug The slug of the datasource that owns the grade factors*/
    public string $slug;
    /** @var \Bushelpowered\Api\Reporting\Poy\V1\Request\SyncGradeFactorRequest[] $gradeFactors */
    public array $gradeFactors;

    /**
     * @param  string  $slug The slug of the datasource that owns the grade factors
     * @param  \Bushelpowered\Api\Reporting\Poy\V1\Request\SyncGradeFactorRequest[]  $gradeFactors 
     */
    public function __construct(string $slug, array $gradeFactors)
    {
        $this->slug = $slug;
        $this->gradeFactors = $gradeFactors;
    }
    

}