<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class StaffMember 
{
    /** @var string $name The name of the staff member.*/
    public string $name;
    /** @var null|string $title The title of the staff member.*/
    public ?string $title = null;
    /** @var null|string $phone The phone number of the staff member.*/
    public ?string $phone = null;
    /** @var null|string $email The email address of the staff member.*/
    public ?string $email = null;

    /**
     * @param  string  $name The name of the staff member.
     * @param  null|string  $title The title of the staff member.
     * @param  null|string  $phone The phone number of the staff member.
     * @param  null|string  $email The email address of the staff member.
     */
    public function __construct(string $name, ?string $title, ?string $phone, ?string $email)
    {
        $this->name = $name;
        $this->title = $title;
        $this->phone = $phone;
        $this->email = $email;
    }
    

}