<?php
namespace Bushelpowered\Api\Iam\Keycloak\V1\Request;
        
class CreateOrUpdateStaffUserRequest 
{
    /** @var string $userId The primary unique identifier.*/
    public string $userId;
    /** @var string $tenantId The tenant identifier.*/
    public string $tenantId;
    /** @var bool $isStaff Whether a user is staff or not*/
    public bool $isStaff;

    /**
     * @param  string  $userId The primary unique identifier.
     * @param  string  $tenantId The tenant identifier.
     * @param  bool  $isStaff Whether a user is staff or not
     */
    public function __construct(string $userId, string $tenantId, bool $isStaff)
    {
        $this->userId = $userId;
        $this->tenantId = $tenantId;
        $this->isStaff = $isStaff;
    }
    

}