<?php
namespace Bushelpowered\Api\Platform\File\V1\Common;
        
class InlineContentDisposition implements \Bushelpowered\Api\Platform\File\V1\Common\HasOptionalFileName
{
    /** @var null|string $filename The filename presented to the user.*/
    public ?string $filename = null;

    /**
     * @param  null|string  $filename The filename presented to the user.
     */
    public function __construct(?string $filename)
    {
        $this->filename = $filename;
    }
    
    /**
     * @return null|string The filename presented to the user.
     */
    public function getFilename(): ?string
    {
        return $this->filename;
    }
}