<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Request;
        
class GetOrCreateAccountBySlugRequest 
{
    /** @var string $slug */
    public string $slug;
    /** @var string $sourceId The source record identifier.*/
    public string $sourceId;
    /** @var null|string $sourceName The source account name.*/
    public ?string $sourceName = null;
    /** @var null|string $name */
    public ?string $name = null;

    /**
     * @param  string  $slug 
     * @param  string  $sourceId The source record identifier.
     * @param  null|string  $sourceName The source account name.
     * @param  null|string  $name 
     */
    public function __construct(string $slug, string $sourceId, ?string $sourceName, ?string $name)
    {
        $this->slug = $slug;
        $this->sourceId = $sourceId;
        $this->sourceName = $sourceName;
        $this->name = $name;
    }
    

}